# Method: projects.locations.repositories.exportArtifact

- [HTTP request](https://docs.cloud.google.com/artifact-registry/docs/reference/rest/v1/projects.locations.repositories/exportArtifact#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/artifact-registry/docs/reference/rest/v1/projects.locations.repositories/exportArtifact#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/artifact-registry/docs/reference/rest/v1/projects.locations.repositories/exportArtifact#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/artifact-registry/docs/reference/rest/v1/projects.locations.repositories/exportArtifact#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/artifact-registry/docs/reference/rest/v1/projects.locations.repositories/exportArtifact#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/artifact-registry/docs/reference/rest/v1/projects.locations.repositories/exportArtifact#body.aspect)
- [Examples](https://docs.cloud.google.com/artifact-registry/docs/reference/rest/v1/projects.locations.repositories/exportArtifact#examples)
- [Try it!](https://docs.cloud.google.com/artifact-registry/docs/reference/rest/v1/projects.locations.repositories/exportArtifact#try-it)

Exports an artifact to a Cloud Storage bucket.

### HTTP request

Choose a location:
<button value="global" default="">global</button> <button value="africa-south1">africa-south1</button> <button value="asia-east1">asia-east1</button> <button value="asia-east2">asia-east2</button> <button value="asia-northeast1">asia-northeast1</button> <button value="asia-northeast2">asia-northeast2</button> <button value="asia-northeast3">asia-northeast3</button> <button value="asia-south1">asia-south1</button> <button value="asia-south2">asia-south2</button> <button value="asia-southeast1">asia-southeast1</button> <button value="asia-southeast2">asia-southeast2</button> <button value="australia-southeast1">australia-southeast1</button> <button value="australia-southeast2">australia-southeast2</button> <button value="europe-central2">europe-central2</button> <button value="europe-north1">europe-north1</button> <button value="europe-southwest1">europe-southwest1</button> <button value="europe-west1">europe-west1</button> <button value="europe-west10">europe-west10</button> <button value="europe-west12">europe-west12</button> <button value="europe-west2">europe-west2</button> <button value="europe-west3">europe-west3</button> <button value="europe-west4">europe-west4</button> <button value="europe-west6">europe-west6</button> <button value="europe-west8">europe-west8</button> <button value="europe-west9">europe-west9</button> <button value="me-central1">me-central1</button> <button value="me-west1">me-west1</button> <button value="northamerica-northeast1">northamerica-northeast1</button> <button value="northamerica-northeast2">northamerica-northeast2</button> <button value="southamerica-east1">southamerica-east1</button> <button value="southamerica-west1">southamerica-west1</button> <button value="us-central1">us-central1</button> <button value="us-east1">us-east1</button> <button value="us-east4">us-east4</button> <button value="us-east5">us-east5</button> <button value="us-south1">us-south1</button> <button value="us-west1">us-west1</button> <button value="us-west2">us-west2</button> <button value="us-west3">us-west3</button> <button value="us-west4">us-west4</button> <button value="me-central2">me-central2</button> <button value="us-east7">us-east7</button> <button value="us">us</button> <button value="eu">eu</button>   
`POST https://artifactregistry.googleapis.com/v1/{repository=projects/*/locations/*/repositories/*}:exportArtifact`

<br />

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `repository` | `string` Required. The repository of the artifact to export. Format: projects/{project}/locations/{location}/repositories/{repository} Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `repository`: - `artifactregistry.repositories.exportArtifacts` |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { // Union field `source_artifact` can be only one of the following: "sourceVersion": string, "sourceTag": string // End of list of possible types for union field `source_artifact`. // Union field `destination` can be only one of the following: "gcsPath": string // End of list of possible types for union field `destination`. } ``` |

| Fields ||
|---|---|
| Union field `source_artifact`. The artifact to be exported. `source_artifact` can be only one of the following: ||
| `sourceVersion` | `string` The artifact version to export. Format: projects/{project}/locations/{location}/repositories/{repository}/packages/{package}/versions/{version} |
| `sourceTag` | `string` The artifact tag to export. Format:projects/{project}/locations/{location}/repositories/{repository}/packages/{package}/tags/{tag} |
| Union field `destination`. The destination to export the artifact to. `destination` can be only one of the following: ||
| `gcsPath` | `string` The Cloud Storage path to export the artifact to. Should start with the bucket name, and optionally have a directory path. Examples: `dst_bucket`, `dst_bucket/sub_dir`. Existing objects with the same path will be overwritten. |

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/artifact-registry/docs/reference/rest/v1/projects.locations.operations#Operation`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).